Bug 732119 - Monitor refuses to come back alive sometimes (switching to console, seems to help)
Summary: Monitor refuses to come back alive sometimes (switching to console, seems to ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:suspend]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 20:59 UTC by James Antill
Modified: 2018-04-11 14:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 17:12:31 UTC


Attachments (Terms of Use)
mentioned patch from dri-devel list (1.52 KB, patch)
2011-09-08 13:48 UTC, Matěj Cepl
no flags Details | Diff

Description James Antill 2011-08-19 20:59:52 UTC
Description of problem:

 Most of the time when leave my desktop I turn the monitor off, since my last reboot most of the time when I come back the monitor say "no source link". Testing this shows it will happen if I turn my monitor off for a couple of seconds, and then turn it back on.
 If I reboot, then the monitor comes back for the shutdown plymouth graphical screen.

 If I switch to a virtual console console, and then hit return just before I turn the monitor back on ... everything is fine but I see:

[57037.846923] [drm:radeon_dp_get_link_status] *ERROR* displayport link status failed

...on the screen. Switching back to Xorg works fine, at that point.


Version-Release number of selected component (if applicable):

I'm currently running:

kernel-2.6.40.3-0.fc15.x86_64

This is the version I was running before, and worked fine:

kernel-2.6.38.8-35.fc15.x86_64

Comment 1 James Antill 2011-08-29 05:16:34 UTC
 Due to a power outage I moved back to kernel-2.6.38.8-35.fc15.x86_64, and it works again.

Comment 2 Frank Danapfel 2011-09-08 07:23:48 UTC
I'm having the same problem since updating to kernel-2.6.40.3-0.fc15.x86_64. 

kernel-2.6.40.4-5.fc15.x86_64 shows this problem as well.

I didn't have this issue with kernel-2.6.40-4.fc15.x86_64.

Comment 3 Frank Danapfel 2011-09-08 07:38:25 UTC
Looks like there is alraedy a patch for this issue available:

http://www.spinics.net/lists/dri-devel/msg01265.html
http://www.spinics.net/lists/dri-devel/msg01266.html

Comment 4 Matěj Cepl 2011-09-08 13:48:53 UTC
Created attachment 522126 [details]
mentioned patch from dri-devel list

Comment 5 Frank Danapfel 2011-10-12 15:13:20 UTC
I'm still having this problem with kernel 2.6.40.6-0.fc15.x86_64 :-(

Comment 6 Frank Danapfel 2012-03-12 17:25:36 UTC
Since this issue was preventing me from updating the kernel on my FC15 system I now spend some time trying to figure out what is causing this.

The patch I mentioned earlier in comment #3 can be ignored, this doesn't work with current kernels anymore.

I'm running FC15 on a Lenovo ThinkCentre with a built-in ATI Radeon Mobility HD 3470, to which a HP LP1965 display is connected via DVI. 

When the display is physically turned off and turned back on later the display turns itself off again with the message "no signal". Logging in to the system via ssh while this happens I can see the message 

[drm:radeon_dp_get_link_status] *ERROR* displayport link status
failed

repeated over and over. Sometimes if I leave the system like this for a couple of hours (e.g. overnight) the message disappears and the display gets a signal again.

The last kernel where this worked without problems was kernel-2.6.40-4.fc15.x86_64 with version 2.10 of the radeon kernel module. With all later versions of the radeon module I see this problem.

As far as I can see the relevant changes between version 2.10 and later versions of the radeon module which could have introduced this issue are the following:

https://lkml.org/lkml/2011/8/15/522 drm/radeon/kms: dont try to be smart in the hpd handler
https://lkml.org/lkml/2011/10/11/296 https://lkml.org/lkml/2011/10/11/296

Currently I have switched to using the VGA port on the card but it would be great if somebody can find a solution for this issue so that the DVI output can be used again.

Comment 7 Wolfgang Rupprecht 2012-03-15 00:23:15 UTC
I'm seeing the same thing with the following versions of things.  My displaylink-connected Samsung S27A850D won't come out of power-save mode after I turn the monitor off and on.  The framebuffer is an AMD/ATI FirePro 2460 (quad displayport) .

kernel-3.2.9-1.fc16.x86_64
xorg-x11-drv-ati-6.14.3-4.20120201git36c190671.fc16.x86_64

01:00.0 VGA compatible controller: ATI Technologies Inc Cadar [FirePro 2460]

(Should I open a separate bugzilla for my bug because it is fc16 or is it ok here?)

Comment 8 Wolfgang Rupprecht 2012-03-16 23:48:21 UTC
Forcefully toggling the DPMS state from inside X11 with xset seems to unwedge the monitors.

    xset dpms force off
    sleep 1
    xset dpms force on

Is there any activity on this bug?  It is one that effectively has no workaround if one has only displayport monitors hooked to the computer.

Comment 9 Fedora End Of Life 2012-08-07 16:31:39 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Wolfgang Rupprecht 2012-08-07 18:53:29 UTC
This happens under Fedora-17 as well as fedora-15.  This is an important bug to fix.  It shouldn't be swept under the rug simply because it was first noticed 2 versions ago.  What needs to be done to keep it open?

Comment 11 Fedora End Of Life 2013-07-04 05:54:39 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2013-08-01 17:12:38 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.